forums.PPSSPP.org
PPSSPP for Pi - Printable Version

+- forums.PPSSPP.org (https://forums.ppsspp.org)
+-- Forum: PPSSPP - Playstation Portable Simulator Suitable for Playing Portably (/forumdisplay.php?fid=1)
+--- Forum: Development (/forumdisplay.php?fid=3)
+--- Thread: PPSSPP for Pi (/showthread.php?tid=2108)

Pages: 1 2 3 4 5 6


PPSSPP for Pi - porkness - 03-27-2013 12:15 PM

No one has done that before so i tried it.
At first, it all goes fine. I changed target to ARM(-DARM=ON), installed every package that may needed by the compilation. However, after few minutes, it stopped.

[ 52%] Built target GPU
[ 52%] Building CXX object CMakeFiles/Core.dir/Core/MIPS/ARM/ArmAsm.cpp.o
/home/pi/Desktop/ppsspp-master/Core/MIPS/ARM/ArmAsm.cpp: In member function ‘void MIPSComp::Jit::GenerateFixedCode()’:
/home/pi/Desktop/ppsspp-master/Core/MIPS/ARM/ArmAsm.cpp:158:38: error: expected primary-expression before ‘,’ token
/home/pi/Desktop/ppsspp-master/Core/MIPS/ARM/ArmAsm.cpp:158:40: error: ‘pc’ was not declared in this scope
/home/pi/Desktop/ppsspp-master/Core/MIPS/ARM/ArmAsm.cpp:158:42: error: ‘offsetof’ was not declared in this scope
make[2]: *** [CMakeFiles/Core.dir/Core/MIPS/ARM/ArmAsm.cpp.o] Error 1
make[1]: *** [CMakeFiles/Core.dir/all] Error 2
make: *** [all] Error 2

Any ideas?


RE: PPSSPP for Pi - Apology11 - 03-27-2013 12:17 PM

Moved to Development.


RE: PPSSPP for Pi - [Unknown] - 03-27-2013 01:43 PM

What compiler version is this?

Quick Google showed e.g.:
http://code.google.com/p/ttf2eot/issues/detail?id=22

-[Unknown]


RE: PPSSPP for Pi - porkness - 03-27-2013 02:08 PM

(03-27-2013 01:43 PM)[Unknown] Wrote:  What compiler version is this?

Quick Google showed e.g.:
http://code.google.com/p/ttf2eot/issues/detail?id=22

-[Unknown]

Yes i'm using gcc4.6.3, and this method works for me, thx

EDIT: So the result is:
Put "-DARM=ON" on cmake, and add "#include <cstddef>" to ArmRegCache.cpp, ArmJitCache.cpp, ArmCompVFPU.cpp, ArmCompFPU.cpp, ArmCompBranch.cpp, and ArmAsm.cpp (all of them are in Core/MIPS/ARM/)


RE: PPSSPP for Pi - porkness - 03-28-2013 04:01 AM

Well, it still has some problem...
when i tried to run the emulator, the screen will flash and i got this error
F: /home/pi/Desktop/ppsspp-master/native/gfx_es2/glsl_program.cpp:161: F: Could not link program.
and after that the emulator segfault outSad


RE: PPSSPP for Pi - [Unknown] - 03-28-2013 04:44 AM

Hmm, sounds like there's some problem with OpenGL. The device definitely supports GLES2 right?

-[Unknown]


RE: PPSSPP for Pi - xsacha - 03-28-2013 05:11 AM

It supports GLES2 but sounds like it's not configured properly.
Can check `glxinfo`.


RE: PPSSPP for Pi - porkness - 03-28-2013 09:21 AM

(03-28-2013 05:11 AM)xsacha Wrote:  It supports GLES2 but sounds like it's not configured properly.
Can check `glxinfo`.

Error: couldn't find RGB GLX visual or fbconfig
i'm pretty sure it's the problem about the gpu driver for rpi (at least raspbian) cause some people also encountered the same problem, and till now i still not found an idea how to solve it.Confused


RE: PPSSPP for Pi - xsacha - 03-28-2013 10:20 AM

Well that sucks :\ I guess raspbian screwed up their graphics driver. Can try a different graphics driver, or a different distro.


RE: PPSSPP for Pi - porkness - 03-28-2013 11:56 AM

http://www.raspberrypi.org/phpBB3/viewtopic.php?f=66&t=11620
Yeah, actually the X-based drive sucks in some ways, but there is (probably be) a solution...maybe needs a lot of modifications on emulator though...


RE: PPSSPP for Pi - xsacha - 03-29-2013 12:08 AM

If you need to modify the emulator, there's something wrong with your distro/drivers/compiler.
The code should work fine on Raspberry PI as-is.
PPSSPP works with X and without X.

If having issue with the SDL code, you can try the Qt code as well.


RE: PPSSPP for Pi - porkness - 04-01-2013 08:29 AM

I tried to use the OpenGL libraries in /opt/vc (the offical one from pi foundation, some people said the one from raspbian repo. is software-emulated), but it still not work. Sad
it seems the implementation of X on pi is not support gles properly


RE: PPSSPP for Pi - xsacha - 04-01-2013 10:33 AM

Well I've seen a lot of GLES2 demos running on Pi and also have seen glxinfo printout with working GLES2. So some people have this working. There's probably a wiki that explains how to set it up properly.


RE: PPSSPP for Pi - porkness - 04-03-2013 04:44 AM

(04-01-2013 10:33 AM)xsacha Wrote:  Well I've seen a lot of GLES2 demos running on Pi and also have seen glxinfo printout with working GLES2. So some people have this working. There's probably a wiki that explains how to set it up properly.

I also saw it on youtube, raspbian with working glxinfo and glxgear, though it seems to be a software render(low fps and high cpu usage), it actually works


RE: PPSSPP for Pi - xsacha - 04-03-2013 05:37 AM

The ones I saw were definitely hardware accelerated.
It's like the main selling point of RPi. Other than the beastly GPU, you have a rather weak CPU.